snapros:
  image: docker:19.03.12
  stage: build
  services:
    - docker:19.03.12-dind
  variables:
    IMAGE: $CI_REGISTRY_IMAGE
  only:
    changes:
      - docker/*
  script:
    - apk add qemu make
    - docker run --rm --privileged multiarch/qemu-user-static --reset -p yes
    - cd docker
    - make IMAGE=$IMAGE
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker push $IMAGE:$(make version)
    - make save
    - mv snapros.tgz ../
    - echo $CI_COMMIT_SHORT_SHA > ../commit
    - make version > ../version
    - echo "$IMAGE:$(make version)" > ../imagetag
  artifacts:
    paths:
      - snapros.tgz
      - commit
      - version
      - imagetag